## libcdk5 5.0.20160131

=== package/freebsd/Makefile ===
# Created by: Andrey Zakhvatov
# $FreeBSD: devel/cdk/Makefile 315072 2013-03-23 19:19:55Z bapt $

PORTNAME=	cdk
PORTVERSION=	5.0.20160131

PORTREVISION=	2
PORTEPOCH=	1
CATEGORIES=	devel
MASTER_SITES=	ftp://invisible-island.net/cdk/ \
		http://fossies.org/linux/misc/
DISTNAME=	${PORTNAME}-${PORTVERSION:R}-${PORTVERSION:E}
EXTRACT_SUFX=	.tgz

MAINTAINER=	bapt@FreeBSD.org
COMMENT=	Curses Development Kit for speedy development of full screen programs

LICENSE=	BSD

USE_GMAKE=	yes
USE_NCURSES=	yes
GNU_CONFIGURE=	yes
PORTDOCS=	COPYING EXPANDING INSTALL NOTES README TODO
MAKE_JOBS_UNSAFE=	yes

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=--with-ncurses --verbose
ALL_TARGET=	default examples demos cli cdkshlib
INSTALL_TARGET=	install installCDKSHLibrary
USE_LDCONFIG=	yes

.include "${.CURDIR}/maninfo.mk"

post-extract:
.if ! ${PORT_OPTIONS:MDOCS}
EXTRA_PATCHES+=      ${FILESDIR}/extra-patch-Makefile.in
.endif

post-patch:
	@${REINPLACE_CMD} -e 's|/doc/cdk|/share/doc/cdk| ; s|VERSION)|VERSION_MAJOR)|' \
		-e 's|gcc|${CC}|g' ${WRKSRC}/Makefile.in
	@${REINPLACE_CMD} -e 's|$$(INSTALL_DATA) cdk-config|$(INSTALL_SCRIPT) cdk-config|g' \
		${WRKSRC}/Makefile.in

post-install:
.if ${PORT_OPTIONS:MEXAMPLES}
	${INSTALL} -d ${EXAMPLESDIR}
	${INSTALL} -d ${EXAMPLESDIR}/cli
	cd ${WRKSRC}/cli; \
	${FIND} . | ${CPIO} -pdm -R ${LIBOWN}:${LIBGRP} ${EXAMPLESDIR}/cli
	${INSTALL} -d ${EXAMPLESDIR}/demos
	cd ${WRKSRC}/demos; \
	${FIND} . | ${CPIO} -pdm -R ${LIBOWN}:${LIBGRP} ${EXAMPLESDIR}/demos
	${INSTALL} -d ${EXAMPLESDIR}/examples
	cd ${WRKSRC}/examples; \
	${FIND} . | ${CPIO} -pdm -R ${LIBOWN}:${LIBGRP} ${EXAMPLESDIR}/examples
.endif

.include <bsd.port.mk>

## libcdk5 5.0.20060507

=== debian/changelog ===
libcdk5 (5.0.20060507-4) unstable; urgency=low

  * QA Upload.
  * explicitly_link_with_ncurses.patch: fix missing libncurses5 dependency.

 -- Sam Hocevar <sho@debian.org>  Sat, 19 Feb 2011 23:59:54 +0000

libcdk5 (5.0.20060507-3) unstable; urgency=low

  * QA Upload.
  * Policy 3.9.1 (see Lintian cleaning below) and debian/compat 8
  * Lintian cleaning
    - ${misc:Depends} added to libcdk5 and libcdk5-dev
    - fixed make clean call: [ ! -f Makefile ] || $(MAKE) distclean 
    - debian/compat 7
    - replaced ${Source-Version} with ${binary:Version} in debian/control
    - dh_prep used in rules instead of dh_clean -k
  * Removed static patching of config.guess config.sub, removed those files,
    they will be copied from autotools-dev package in debian/rules
  * removed the following lines from debian/libcdk5-dev.install
    (dh_install throws error if you try to install files from an empty dir,
    and these files were not present in the previous Debian build)
    - usr/lib/pkgconfig/*
    - usr/lib/*.la 
    - usr/share/pkgconfig/* 
  * Added missing headers and example files (Closes: #500161, LP: #565526)
    - debian/patches/missing_header_examples.patch
    - debian/libcdk5-dev.examples added: include/cdk_test.h, examples/.,
      demos/
  * Fixed segfault in calendar.c (Closes: #452401, LP: #290624)
    - debian/patches/cal_segfault.patch
  * debian/patches/libcdk5_man_cdk_display_examples_fix.diff
    - The examples in the cdk_display(3) man page are incorrect
      (wrong colors, segfault) (Closes: #593283)

 -- Scott Howard <showard@debian.org>  Thu, 10 Feb 2011 19:50:32 -0500

libcdk5 (5.0.20060507-2) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 13:06:45 -0600

libcdk5 (5.0.20060507-1) unstable; urgency=low

  * New upstream release.
  * Fixed header patching.  Patch from Robert Schiele.
    Closes: #402978, #416336.
  * Update widget count in description.  Closes: #294709.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 03:54:31 -0500

libcdk5 (5.0.20050424-2) unstable; urgency=low

  * Call ./configure properly even if not executable.  Closes: #322977.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 13 Aug 2005 18:01:16 -0500

libcdk5 (5.0.20050424-1) unstable; urgency=low

  * Packaged CDK 5 from invisible-island.net.  Closes: #319891, #211728.
  * New source, library, dev package names; this is from a different
    branch and is not API-compatible with libcdk version 4.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 25 Jul 2005 06:55:38 -0500

libcdk (4.9.9-4) unstable; urgency=low

  * New maintainer (closes: #279779)
  * Previous two NMUs acknowledged (closes: #236485, #259606)
  * Respect DEB_BUILD_OPTIONS
  * Revised description (from upstream web site)
  * Updated standards version
  * Changed section of libcdk-devel to match overrides
  * Updated debian/rules to debhelper 4 conventions
  * Use dpatch
  * Change all man page sections 3X to 3 to match file names
  * Corrected debian/copyright

 -- Peter Eisentraut <peter_e@gmx.net>  Wed,  9 Feb 2005 23:22:05 +0100

libcdk (4.9.9-3.2) unstable; urgency=low

  * Non-maintainer upload during BSP
  * Update libtool stuff to let the package compile on ARM
    (Closes: #259606)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 17 Jul 2004 21:46:01 +0200

libcdk (4.9.9-3.1) unstable; urgency=low

  * Non-maintainer upload during BSP
  * Don't overwrite COPYING with GPL text. It is not!
  * Don't overwrite INSTALL with generic autotools text.
  * Fix debian/copyright to include the actual license and a
    correct copyright statement (Closes: #236485, #238957)
  
 -- Frank Lichtenheld <djpig@debian.org>  Sun, 11 Jul 2004 20:23:30 +0200

libcdk (4.9.9-3) unstable; urgency=high

  * New maintainer,
  Closes: #123485
  * NMU changes merged in CVS repository,
  Closes: #74237, #94813
  * Fix Y2K-ism in examples/bind_ex.c,
  Closes: #97189
  * Package now Build-Depends & Depends on libncurses5-dev,
  Closes: #100800, #104310
  * Include links for functions listed in manpages per policy,
  Closes: #103917
  * Correctly include latest config.sub & config.guess at build time,
  Closes: #104437

 -- Stephen Zander <gibreel@debian.org>  Sat, 29 Dec 2001 22:27:06 -0800

libcdk (4.9.9-2.2) unstable; urgency=low

  * NMU
  * libcdk-dev should Depend: libncurses5-dev.  Closes: #104886
  * Should suggest libcdk-examples.  Closes: #74237

 -- LaMont Jones <lamont@debian.org>  Mon, 22 Oct 2001 22:56:45 -0600

libcdk (4.9.9-2.1) unstable; urgency=low

  * Run libtoolize to get support for new architectures.  Closes: #94813

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

libcdk (4.9.9-2) unstable; urgency=low

  * Missing manual pages added. (closes: #60903)

 -- Raphael Bossek <bossekr@debian.org>  Wed, 22 Mar 2000 19:55:16 +0100

libcdk (4.9.9-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Fri, 14 Jan 2000 00:41:09 +0100

=== debian/control ===
Source: libcdk5
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 8), libncurses5-dev, autotools-dev

Package: libcdk5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C-based curses widget library
 CDK stands for "Curses Development Kit".  CDK sits on top of the curses
 library and provides 22 ready to use widgets for rapid application
 development of text-based interfaces.  CDK delivers many of the common
 widget types required for a robust interface.  Widgets can be combined
 to create complex widgets if needed.
 .
 Home page: http://invisible-island.net/cdk/

Package: libcdk5-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libcdk5 (= ${binary:Version}), libncurses5-dev
Replaces: libcdk-examples, libcdk-dev
Conflicts: libcdk-examples, libcdk-dev
Description: C-based curses widget library (development files)
 CDK stands for "Curses Development Kit".  CDK sits on top of the curses
 library and provides 22 ready to use widgets for rapid application
 development of text-based interfaces.  CDK delivers many of the common
 widget types required for a robust interface.  Widgets can be combined
 to create complex widgets if needed.
 .
 This package contains the header files and development libraries for
 the CDK library.
 .
 Home page: http://invisible-island.net/cdk/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
SHELL=/bin/bash

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	CFLAGS="$(CFLAGS)" $(SHELL) ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) cdkshlib

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -rf debian/tmp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	-mkdir -p debian/tmp/usr{/doc/cdk,/share/man/man3,/include/cdk,/share/doc,/lib}
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	$(MAKE) installCDKSHLibrary prefix=$(CURDIR)/debian/tmp/usr
	mv debian/tmp/usr/doc/cdk debian/tmp/usr/share/doc/libcdk5-dev
	ln -s libcdk.so.5.0 debian/tmp/usr/lib/libcdk.so.5
	rm debian/tmp/usr/share/doc/libcdk5-dev/{COPYING,INSTALL}


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libcdk5 5.0.20160131

=== debian/changelog ===
libcdk5 (5.0.20160131-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
      - Set myself as maintainer. (Closes: #570267).
      - pkg-config added to Build-Depends.
      - Bumped Standards-Version to 3.9.7.
      - Vcs-* fields using https.
      - libcdk5-doc package created.
  * debian/copyright updated.
  * debian/libcdk5-doc.examples created.
  * debian/libcdk5-dev.examples removed.
  * debian/libcdk5-dev.install:
      - cdk5-config script in new dir. A debian/NEWS.Debian file was
        created to inform about it.
  * debian/patches:
      - removed (applied by the upstream):
          - errors-from-man-cdk_binding_3.patch
          - errors-from-man-cdk_entry_3.patch
          - errors-from-man-cdk_mentry_3.patch
  * debian/rules:
      - '--with-pkg-config' added to dh_auto_configure.
      - rm '#*if.3' line removed.
      - using 'DEB_HOST_MULTIARCH', 'mkdir' and 'cp' to put cdk5-config
        script in the right dir.
  * debian/watch:
      - version 4.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Fri, 12 Feb 2016 14:01:14 -0200

libcdk5 (5.0.20150928-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release.
  * debian/copyright updated.
  * debian/rules:
      - added entry to rm strange symlynks '#*if.3'.
  * debian/watch:
      - gpg signature entry added.
  * debian/upstream/signing-key.asc created.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 29 Sep 2015 10:14:04 -0300

libcdk5 (5.0.20141106-2) unstable; urgency=medium

  * QA Upload.
  * Upload to unstable. 

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Fri, 04 Sep 2015 09:54:34 -0300

libcdk5 (5.0.20141106-1) experimental; urgency=medium

  * QA Upload.
  * New upstream release. (Closes: #520872, LP: #855931)

  [ Jose G. Lopez work ]
  * debian/libcdk5-dev.manpages:
      - cdk5-config.1 entry added. Thanks for the manpage.
  * debian/*: suggestions on the all others files.

  [ Herbert Parentes Fortes Neto ]
  * DH LEVEL = 9
  * debian/.pc removed.
  * debian/control:
      - Standards-Version bumped.
      - Homepage field added.
        Link from long description removed.
      - Vcs* fields added.
      - Replaces and Conflicts fields from libcdk5-dev removed.
        Packages don't exists anymore in Debian.
  * debian/copyright: complete rewrite.
  * debian/*.dirs removed.
  * debian/libcdk5.install:
      - fix the path of the libs.
  * debian/libcdk5-dev.install:
      - fix the path of the libs
      - usr/bin/cdk5-config added.
  * debian/libcdk5.symbols added.
  * debian/rules:
      - complete rewrite.
      - added -fPIE CFLAGS.
  * debian/patches:
      - removed:
          - cal_segfault.patch: upstream applied.
          - explicitly_link_with_ncurses.patch: new Makefile format.
          - libcdk5_man_cdk_display_examples_fix.diff: upstream applied.
          - orig_debian_changes.patch: doesn't need anymore.
      - added:
          - bad_whatis_man_gen-scale_3.patch
          - bad_whatis_man_gen-slider_3.patch
          - errors-from-man-cdk_binding_3.patch
          - errors-from-man-cdk_entry_3.patch
          - errors-from-man-cdk_mentry_3.patch
  * debian/watch added.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Thu, 13 Aug 2015 10:10:35 -0300

=== debian/control ===
Source: libcdk5
Section: libs
Priority: optional
Maintainer: Herbert Parentes Fortes Neto <hpfn@ig.com.br>
Standards-Version: 3.9.7
Build-Depends: autotools-dev, debhelper (>= 9), libncurses5-dev, pkg-config
Homepage: http://invisible-island.net/cdk
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libcdk5.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libcdk5.git

Package: libcdk5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C-based curses widget library
 CDK stands for "Curses Development Kit". CDK sits on top of the curses
 library and provides 22 ready to use widgets for rapid application
 development of text-based interfaces. CDK delivers many of the common
 widget types required for a robust interface. Widgets can be combined
 to create complex widgets if needed.

Package: libcdk5-dev
Architecture: any
Section: libdevel
Depends: libcdk5 (= ${binary:Version}), libncurses5-dev, ${misc:Depends}
Description: C-based curses widget library (development files)
 CDK stands for "Curses Development Kit". CDK sits on top of the curses
 library and provides 22 ready to use widgets for rapid application
 development of text-based interfaces. CDK delivers many of the common
 widget types required for a robust interface. Widgets can be combined
 to create complex widgets if needed.
 .
 This package contains the header files and development libraries for
 the CDK library.

Package: libcdk5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: C-based curses widget library (examples and demos)
 CDK stands for "Curses Development Kit". CDK sits on top of the curses
 library and provides 22 ready to use widgets for rapid application
 development of text-based interfaces. CDK delivers many of the common
 widget types required for a robust interface. Widgets can be combined
 to create complex widgets if needed.
 .
 This package contains examples and demos about libcdk5.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  = -fPIE
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --with-pkg-config


override_dh_auto_install:
	dh_auto_install -- installCDKSHLibrary
	mv debian/tmp/usr/share/doc/cdk debian/tmp/usr/share/doc/libcdk5-dev
	rm debian/tmp/usr/share/doc/libcdk5-dev/COPYING
	rm debian/tmp/usr/share/doc/libcdk5-dev/INSTALL
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdk5-dev/bin
	cp -a debian/tmp/usr/bin/cdk5-config debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdk5-dev/bin

override_dh_compress:
	dh_compress -Xexamples

## libcdk5 5.0.20161210

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: devel/cdk/Makefile 315072 2013-03-23 19:19:55Z bapt $
 
 PORTNAME=	cdk
-PORTVERSION=	5.0.20160131
+PORTVERSION=	5.0.20161210
 
 PORTREVISION=	2
 PORTEPOCH=	1

=== debian/changelog ===
libcdk5 (5.0.20161210-5) unstable; urgency=medium

  * debian/control:
      - Update Vcs-* entries - salsa.debian.org
      - Bump Standards-Version from 4.1.2 to 4.1.3
  * debian/copyright:
      - secure-copyright-format-uri
      - Update year in debian/*

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 27 Jan 2018 14:53:04 -0200

libcdk5 (5.0.20161210-4) unstable; urgency=medium

  * debian/control:
      - Bump Standards-Version from 4.1.1 to 4.1.2
      - Set Multi-Arch:
          - libcdk5-doc
          - libcdk5

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 23 Dec 2017 14:36:20 -0200

libcdk5 (5.0.20161210-3) unstable; urgency=medium

  * lintian:
      - Fix debhelper-tools-from-autotools-dev-are-deprecated
      - Fix debian-rules-sets-dpkg-architecture-variable
  * debian/autoreconf.*:
      - Files removed.
  * debian/control:
      - Bump Standards-Version to 4.1.1

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 11 Nov 2017 09:51:58 -0200

libcdk5 (5.0.20161210-2) unstable; urgency=medium

  * debian/control:
      - Bump Standards-Version from 3.9.8 to 4.1.0
  * Add debian/gbp.conf
  * debian/patches:
      - Refresh explicitly_link_with_ncurses.patch. (Closes: #876031)
        Thanks Helmut Grohne.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Mon, 18 Sep 2017 11:41:45 -0300

libcdk5 (5.0.20161210-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
      - Refresh bad_whatis_man_gen-scale_3.patch.
      - Refresh bad_whatis_man_gen-slider_3.patch.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 14 Dec 2016 10:08:21 -0200

libcdk5 (5.0.20161204-2) unstable; urgency=low

  * Upload to unstable.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 09 Dec 2016 12:39:13 -0200

libcdk5 (5.0.20161204-1) experimental; urgency=medium

  * New upstream release.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 09 Dec 2016 11:51:17 -0200

libcdk5 (5.0.20161120-2) unstable; urgency=medium

  * Upload to unstable.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 25 Nov 2016 10:32:10 -0200

libcdk5 (5.0.20161120-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Update.
  * debian/libcdk5.symbols:
      - New file.
  * debian/rules:
      - override_dh_makeshlibs:
          - to omit the Debian revision. PVER variable.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Thu, 24 Nov 2016 09:17:18 -0200

libcdk5 (5.0.20160131-2) unstable; urgency=medium

  * debian/control:
      - Update my email.
      - Bump Standards-Version to 3.9.8.
  * debian/copyright:
      - Update my email.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 05 Nov 2016 14:37:12 -0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libcdk5
 Section: libs
 Priority: optional
-Maintainer: Herbert Parentes Fortes Neto <hpfn@ig.com.br>
-Standards-Version: 3.9.7
-Build-Depends: autotools-dev, debhelper (>= 9), libncurses5-dev, pkg-config
+Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 9), libncurses5-dev, pkg-config
 Homepage: http://invisible-island.net/cdk
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libcdk5.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libcdk5.git
+Vcs-Git: https://salsa.debian.org/debian/libcdk5.git
+Vcs-Browser: https://salsa.debian.org/debian/libcdk5
 
 Package: libcdk5
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: C-based curses widget library
  CDK stands for "Curses Development Kit". CDK sits on top of the curses
@@ -34,6 +35,7 @@
 
 Package: libcdk5-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: C-based curses widget library (examples and demos)

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,15 @@
 
 #export DH_VERBOSE=1
 
+export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1 )
+
 export DEB_CFLAGS_MAINT_APPEND  = -fPIE
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-pkg-config
@@ -23,4 +25,7 @@
 	cp -a debian/tmp/usr/bin/cdk5-config debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdk5-dev/bin
 
 override_dh_compress:
-	dh_compress -Xexamples 
+	dh_compress -Xexamples
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -v$(PVER)

=== debian/watch ===
version=4
opts="passive,dversionmangle=s/(\d+\.\d+)\.(\d+)/$1-$2/,\
pgpsigurlmangle=s%$%.asc%" \
ftp://invisible-island.net/cdk/cdk-(\d\S+)\.tgz

## libcdk5 5.0.20180306

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # $FreeBSD: devel/cdk/Makefile 315072 2013-03-23 19:19:55Z bapt $
 
 PORTNAME=	cdk
-PORTVERSION=	5.0.20161210
+PORTVERSION=	5.0.20180306
 
 PORTREVISION=	2
 PORTEPOCH=	1
 CATEGORIES=	devel
-MASTER_SITES=	ftp://invisible-island.net/cdk/ \
+MASTER_SITES=	ftp://ftp.invisible-island.net/cdk/ \
 		http://fossies.org/linux/misc/
 DISTNAME=	${PORTNAME}-${PORTVERSION:R}-${PORTVERSION:E}
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
libcdk5 (5.0.20180306-3) unstable; urgency=medium

  * debian/tests/control:
      - Add CI test

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 08 Jul 2018 09:01:56 -0300

libcdk5 (5.0.20180306-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #892114)

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 27 Apr 2018 11:35:51 -0300

libcdk5 (5.0.20180306-1) experimental; urgency=medium

  * New upstream version 5.0.20180306
  * debian/gbp.conf:
      - Remove sign-tag option
  * Rename package. libcdk5 -> libcdk5nc6. Because of libncurses transition.
    The upstream did not change the SONAME. Instead of invent a SONAME,
    changing the name. Credits to Sven Joachim. (Closes: #892280)
      - debian/control:
         - Build-Depends: libncurses-dev >= 6.1+20180210
         - Package: libcdk5 -> libcdk5nc6
             - Add Conflicts and Replaces
         - Update Depends on *-dev package
         - Update long description *-doc package
      - debian/libcdk5.install:
         - Rename to libcdk5nc6.install
      - debian/libcdk5nc6.lintian-overrides:
         - Add file with: package-name-doesnt-match-sonames
      - debian/*.symbols:
         - Testing a new file.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Tue, 13 Mar 2018 10:04:36 -0300

libcdk5 (5.0.20161210-6) unstable; urgency=medium

  * debian/watch:
      - Update url. (Closes: #892115)
        Thanks Sven Joachim

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 10 Mar 2018 10:35:07 -0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
 Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 9), libncurses5-dev, pkg-config
+Build-Depends: debhelper (>= 9), libncurses-dev (>= 6.1+20180210), pkg-config
 Homepage: http://invisible-island.net/cdk
 Vcs-Git: https://salsa.debian.org/debian/libcdk5.git
 Vcs-Browser: https://salsa.debian.org/debian/libcdk5
 
-Package: libcdk5
+Package: libcdk5nc6
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libcdk5
+Replaces: libcdk5
 Description: C-based curses widget library
  CDK stands for "Curses Development Kit". CDK sits on top of the curses
  library and provides 22 ready to use widgets for rapid application
@@ -22,7 +24,7 @@
 Package: libcdk5-dev
 Architecture: any
 Section: libdevel
-Depends: libcdk5 (= ${binary:Version}), libncurses5-dev, ${misc:Depends}
+Depends: libcdk5nc6 (= ${binary:Version}), libncurses-dev, ${misc:Depends}
 Description: C-based curses widget library (development files)
  CDK stands for "Curses Development Kit". CDK sits on top of the curses
  library and provides 22 ready to use widgets for rapid application
@@ -45,4 +47,4 @@
  widget types required for a robust interface. Widgets can be combined
  to create complex widgets if needed.
  .
- This package contains examples and demos about libcdk5.
+ This package contains examples and demos about libcdk5nc6.

=== debian/tests/control ===
Test-Command: [ "$(dash cdk-config --version)" == '5.0.20180306' ]
Restrictions: build-needed

=== debian/watch ===
version=4
opts="passive,dversionmangle=s/(\d+\.\d+)\.(\d+)/$1-$2/,\
pgpsigurlmangle=s%$%.asc%" \
ftp://ftp.invisible-island.net/cdk/cdk-(\d\S+)\.tgz

## libcdk5 5.0.20190303

=== package/freebsd/Makefile ===
# Created by: Andrey Zakhvatov
# $FreeBSD: head/devel/cdk/Makefile 439311 2017-04-24 15:17:34Z sunpoet $

PORTNAME=	cdk
DISTVERSION=	5.0-20190303
PORTEPOCH=	1
CATEGORIES=	devel
MASTER_SITES=	ftp://ftp.invisible-island.net/cdk/

MAINTAINER=	ports@FreeBSD.org
COMMENT=	Curses Development Kit for speedy development of full screen programs

LICENSE=	BSD4CLAUSE
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		gmake ncurses tar:tgz
GNU_CONFIGURE=	yes
PORTDOCS=	EXPANDING INSTALL NOTES README TODO
MAKE_JOBS_UNSAFE=	yes

CONFIGURE_ARGS+=--with-ncurses
ALL_TARGET=	default cdkshlib
INSTALL_TARGET=	install installCDKSHLibrary
USE_LDCONFIG=	yes

OPTIONS_DEFINE=	DOCS EXAMPLES

post-patch:
	@${REINPLACE_CMD} -e 's|gcc|$$(CC)| ; \
		 /^CDKREADME/s| COPYING||' ${WRKSRC}/Makefile.in

post-install:
	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libcdk*.so

post-install-EXAMPLES-on:
	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
	(cd ${WRKSRC} && \
		${COPYTREE_SHARE} "cli demos examples" \
		${STAGEDIR}${EXAMPLESDIR})

.include <bsd.port.mk>

=== debian/changelog ===
libcdk5 (5.0.20190303-1) experimental; urgency=medium

  * New upstream version 5.0.20190303
  * debian/changelog:
      - Remove empty line
  * debian/control:
      - Bump Standards-Version from 4.1.3 to 4.3.0
  * debian/libcdk5nc6.symbols:
      - New file
  * debian/patches/series:
      - Remove cdk-h-old-place.patch file
  * debian/upstream/*.asc:
      - Armored keyring file - minimal key

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Thu, 06 Jun 2019 15:38:35 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9), libncurses-dev (>= 6.1+20180210), pkg-config
 Homepage: http://invisible-island.net/cdk
 Vcs-Git: https://salsa.debian.org/debian/libcdk5.git

## libcdk5 5.0.20230201

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/devel/cdk/Makefile 439311 2017-04-24 15:17:34Z sunpoet $
 
 PORTNAME=	cdk
-DISTVERSION=	5.0-20190303
+DISTVERSION=	5.0-20230201
 PORTEPOCH=	1
 CATEGORIES=	devel
 MASTER_SITES=	ftp://ftp.invisible-island.net/cdk/
@@ -10,7 +10,7 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Curses Development Kit for speedy development of full screen programs
 
-LICENSE=	BSD4CLAUSE
+LICENSE=	MIT
 LICENSE_FILE=	${WRKSRC}/COPYING
 
 USES=		gmake ncurses tar:tgz

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.38 2017/08/01 17:40:09 wiz Exp $
#

DISTNAME=		cdk-5.0-20180306
CATEGORIES=		devel
MASTER_SITES=		ftp://ftp.invisible-island.net/cdk/
EXTRACT_SUFX=		.tgz

MAINTAINER=		pkgsrc-users@NetBSD.org
HOMEPAGE=		http://invisible-island.net/cdk/
COMMENT=		Curses Development Kit

WRKSRC=			${WRKDIR}/${PKGNAME_NOREV}
USE_NCURSES=		yes # uses ncurses internals
USE_LIBTOOL=		yes
GNU_CONFIGURE=		yes

BUILD_TARGET=		default

INSTALL_MAKE_FLAGS+=	INSTALL_DIR=${DESTDIR}${PREFIX} \
			MAN_DIR=${DESTDIR}${PREFIX}/${PKGMANDIR}/man3
INSTALLATION_DIRS=	share/examples/cdk

# put Cdk's include-directory at the front to avoid conflict with menu.h
CFLAGS	+= -I./include

post-install:
	for file in ${WRKSRC}/examples/*.c ${WRKSRC}/examples/Makefile; do \
		${INSTALL_DATA} $${file} ${DESTDIR}${PREFIX}/share/examples/cdk/; \
	done

.include "../../devel/ncurses/buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
libcdk5 (5.0.20230201-4) unstable; urgency=medium

  [ Steve Robbins ]
  * [45c279f] Create compatibility symlink /usr/include/cdk/cdk.h.
    Closes: #1067771.

 -- Steve M. Robbins <smr@debian.org>  Thu, 28 Mar 2024 21:42:18 -0500

libcdk5 (5.0.20230201-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [39247d6] Remove useless autopkgtest.  Closes: #1067604.

 -- Steve M. Robbins <smr@debian.org>  Sun, 24 Mar 2024 16:12:29 -0500

libcdk5 (5.0.20230201-2) unstable; urgency=medium

  * Upload to unstable.  Closes: #1065779, #1066702.

 -- Steve M. Robbins <smr@debian.org>  Thu, 21 Mar 2024 22:10:54 -0500

libcdk5 (5.0.20230201-1) experimental; urgency=medium

  [ Steve Robbins ]
  * [96da197] New maintainer.  Closes: #986936.
  * [b4f4fdb] New upstream version 5.0.20230201
  * [2f4b39a] Remove obsolete rm  commands.
  * [0ecb8c2] Change build-dep from obsolete pkg-config to pkgconf
  * [59a8309] Remove obsolete NEWS
  * [b91e1a6] Remove unneeded overrides.

 -- Steve M. Robbins <smr@debian.org>  Wed, 13 Mar 2024 22:27:27 -0500

libcdk5 (5.0.20190303-2) UNRELEASED; urgency=medium

  [ Steve Robbins ]
  * [07dd1e1] Update watch file.
  * [4086c35] Update upstream signing key.
  * [a2f8936] Apply NMU patch for 64-bit time_t transition (#1062246).

 -- Steve M. Robbins <steve@sumost.ca>  Wed, 13 Mar 2024 22:16:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: libcdk5
 Section: libs
 Priority: optional
-Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
+Maintainer: Steve M. Robbins <smr@debian.org>
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9), libncurses-dev (>= 6.1+20180210), pkg-config
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), libncurses-dev (>= 6.1+20180210), pkgconf
 Homepage: http://invisible-island.net/cdk
 Vcs-Git: https://salsa.debian.org/debian/libcdk5.git
 Vcs-Browser: https://salsa.debian.org/debian/libcdk5
 
-Package: libcdk5nc6
+Package: libcdk5t64
+X-Time64-Compat: libcdk5nc6
+Provides: ${t64:Provides}
+Breaks: libcdk5nc6 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libcdk5
-Replaces: libcdk5
+Replaces: libcdk5nc6, libcdk5
 Description: C-based curses widget library
  CDK stands for "Curses Development Kit". CDK sits on top of the curses
  library and provides 22 ready to use widgets for rapid application
@@ -24,7 +27,7 @@
 Package: libcdk5-dev
 Architecture: any
 Section: libdevel
-Depends: libcdk5nc6 (= ${binary:Version}), libncurses-dev, ${misc:Depends}
+Depends: libcdk5t64 (= ${binary:Version}), libncurses-dev, ${misc:Depends}
 Description: C-based curses widget library (development files)
  CDK stands for "Curses Development Kit". CDK sits on top of the curses
  library and provides 22 ready to use widgets for rapid application
@@ -47,4 +50,4 @@
  widget types required for a robust interface. Widgets can be combined
  to create complex widgets if needed.
  .
- This package contains examples and demos about libcdk5nc6.
+ This package contains examples and demos about libcdk5t64.

## libcdk5 5.0.20240331

=== debian/changelog ===
libcdk5 (5.0.20240331-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [7348faa] New upstream version 5.0.20240331
  * [c3a4169] Add new symbols.
  * [a5f2f07] Remove obsoleted patch.

 -- Steve M. Robbins <smr@debian.org>  Fri, 12 Apr 2024 21:46:21 -0500

## libcdk5 5.0.20240619

=== debian/changelog ===
libcdk5 (5.0.20240619-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [ea2f5ec] New upstream version 5.0.20240619

 -- Steve M. Robbins <smr@debian.org>  Fri, 12 Jul 2024 22:55:07 -0500

## libcdk5 5.0.20250116

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # $FreeBSD: head/devel/cdk/Makefile 439311 2017-04-24 15:17:34Z sunpoet $
 
 PORTNAME=	cdk
-DISTVERSION=	5.0-20230201
+DISTVERSION=	5.0-20250116
 PORTEPOCH=	1
 CATEGORIES=	devel
-MASTER_SITES=	ftp://ftp.invisible-island.net/cdk/
+MASTER_SITES=	https://invisible-island.net/archives/cdk/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Curses Development Kit for speedy development of full screen programs

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.49 2024/06/26 16:23:34 wiz Exp $

DISTNAME=		cdk-5.0-20250116
PKGNAME=		${DISTNAME:S/5.0-/5.0./}
PKGREVISION=		1
CATEGORIES=		devel
MASTER_SITES=		https://invisible-island.net/archives/cdk/ \
			https://invisible-mirror.net/archives/cdk/
EXTRACT_SUFX=		.tgz

MAINTAINER=		pkgsrc-users@NetBSD.org
HOMEPAGE=		https://invisible-island.net/cdk/
COMMENT=		Curses Development Kit
LICENSE=		x11

WRKSRC=			${WRKDIR}/${DISTNAME}
GNU_CONFIGURE=		yes
USE_LIBTOOL=		yes
USE_TOOLS+=		pkg-config

BUILD_TARGET=		default

INSTALL_MAKE_FLAGS+=	INSTALL_DIR=${DESTDIR}${PREFIX} \
			MAN_DIR=${DESTDIR}${PREFIX}/${PKGMANDIR}/man3
INSTALLATION_DIRS=	share/examples/cdk

# put Cdk's include-directory at the front to avoid conflict with menu.h
CFLAGS+=		-I./include

post-install:
	for file in ${WRKSRC}/examples/*.c ${WRKSRC}/examples/Makefile; do \
		${INSTALL_DATA} $${file} ${DESTDIR}${PREFIX}/share/examples/cdk/; \
	done

.include "../../devel/ncurses/buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
libcdk5 (5.0.20250116-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [3ffe398] New upstream version 5.0.20250116
  * [0f90bf8] Update symbols

 -- Steve M. Robbins <smr@debian.org>  Wed, 12 Feb 2025 21:11:26 -0600

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,17 @@
 Priority: optional
 Maintainer: Steve M. Robbins <smr@debian.org>
 Standards-Version: 4.3.0
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), libncurses-dev (>= 6.1+20180210), pkgconf
+Build-Depends: debhelper (>= 9), libncurses-dev (>= 6.1+20180210), pkgconf
 Homepage: http://invisible-island.net/cdk
 Vcs-Git: https://salsa.debian.org/debian/libcdk5.git
 Vcs-Browser: https://salsa.debian.org/debian/libcdk5
 
-Package: libcdk5t64
-X-Time64-Compat: libcdk5nc6
-Provides: ${t64:Provides}
-Breaks: libcdk5nc6 (<< ${source:Version})
+Package: libcdk5nc6
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libcdk5
-Replaces: libcdk5nc6, libcdk5
+Replaces: libcdk5
 Description: C-based curses widget library
  CDK stands for "Curses Development Kit". CDK sits on top of the curses
  library and provides 22 ready to use widgets for rapid application
@@ -27,7 +24,7 @@
 Package: libcdk5-dev
 Architecture: any
 Section: libdevel
-Depends: libcdk5t64 (= ${binary:Version}), libncurses-dev, ${misc:Depends}
+Depends: libcdk5nc6 (= ${binary:Version}), libncurses-dev, ${misc:Depends}
 Description: C-based curses widget library (development files)
  CDK stands for "Curses Development Kit". CDK sits on top of the curses
  library and provides 22 ready to use widgets for rapid application
@@ -50,4 +47,4 @@
  widget types required for a robust interface. Widgets can be combined
  to create complex widgets if needed.
  .
- This package contains examples and demos about libcdk5t64.
+ This package contains examples and demos about libcdk5nc6.

## libcdk5 5.0.20251001

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/devel/cdk/Makefile 439311 2017-04-24 15:17:34Z sunpoet $
 
 PORTNAME=	cdk
-DISTVERSION=	5.0-20250116
+DISTVERSION=	5.0-20251001
 PORTEPOCH=	1
 CATEGORIES=	devel
 MASTER_SITES=	https://invisible-island.net/archives/cdk/

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.49 2024/06/26 16:23:34 wiz Exp $
 
-DISTNAME=		cdk-5.0-20250116
+DISTNAME=		cdk-5.0-20251001
 PKGNAME=		${DISTNAME:S/5.0-/5.0./}
 PKGREVISION=		1
 CATEGORIES=		devel
@@ -15,12 +15,24 @@
 
 WRKSRC=			${WRKDIR}/${DISTNAME}
 GNU_CONFIGURE=		yes
+# The buildlink3.mk script is well-meaning but confuses the configure script by
+# making it generate cdk5-config --libs as "-lcurses".  Don't try to fix the
+# buildlink3.mk, but help the configure script find the right library name.
+# Doing this will still leave breakage in the check for header files which must
+# be worked around in anything that uses libraries built with buildlink3.mk
+CONFIGURE_ARGS+=	--with-screen=ncurses
+# Alternatively, the same PLIST but better handling of line-drawing:
+# CONFIGURE_ARGS+=	--with-screen=ncursesw
+# CONFIGURE_ARGS+=	--with-libname=cdk
+CONFIGURE_ARGS+=	--enable-const
+CONFIGURE_ARGS+=	--enable-pc-files
 USE_LIBTOOL=		yes
 USE_TOOLS+=		pkg-config
 
 BUILD_TARGET=		default
 
 INSTALL_MAKE_FLAGS+=	INSTALL_DIR=${DESTDIR}${PREFIX} \
+			PKGCONFIG_DIR=${DESTDIR}${PREFIX}/lib/pkgconfig \
 			MAN_DIR=${DESTDIR}${PREFIX}/${PKGMANDIR}/man3
 INSTALLATION_DIRS=	share/examples/cdk

=== debian/changelog ===
libcdk5 (5.0.20251001-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [d59644a] Update debhelper compatibility level.
  * [6403487] Bump debhelper compat level
  * [359ceb2] New upstream version 5.0.20251001

 -- Steve M. Robbins <smr@debian.org>  Mon, 13 Oct 2025 12:12:24 -0500

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,20 @@
 Priority: optional
 Maintainer: Steve M. Robbins <smr@debian.org>
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9), libncurses-dev (>= 6.1+20180210), pkgconf
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), libncurses-dev (>= 6.1+20180210), pkgconf
 Homepage: http://invisible-island.net/cdk
 Vcs-Git: https://salsa.debian.org/debian/libcdk5.git
 Vcs-Browser: https://salsa.debian.org/debian/libcdk5
 
-Package: libcdk5nc6
+Package: libcdk5t64
+X-Time64-Compat: libcdk5nc6
+Provides: ${t64:Provides}
+Breaks: libcdk5nc6 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libcdk5
-Replaces: libcdk5
+Replaces: libcdk5nc6, libcdk5
 Description: C-based curses widget library
  CDK stands for "Curses Development Kit". CDK sits on top of the curses
  library and provides 22 ready to use widgets for rapid application
@@ -24,7 +27,7 @@
 Package: libcdk5-dev
 Architecture: any
 Section: libdevel
-Depends: libcdk5nc6 (= ${binary:Version}), libncurses-dev, ${misc:Depends}
+Depends: libcdk5t64 (= ${binary:Version}), libncurses-dev, ${misc:Depends}
 Description: C-based curses widget library (development files)
  CDK stands for "Curses Development Kit". CDK sits on top of the curses
  library and provides 22 ready to use widgets for rapid application
@@ -47,4 +50,4 @@
  widget types required for a robust interface. Widgets can be combined
  to create complex widgets if needed.
  .
- This package contains examples and demos about libcdk5nc6.
+ This package contains examples and demos about libcdk5t64.

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 override_dh_auto_install:
 	dh_auto_install -- installCDKSHLibrary
 	mv debian/tmp/usr/share/doc/cdk debian/tmp/usr/share/doc/libcdk5-dev
-	rm debian/tmp/usr/share/doc/libcdk5-dev/COPYING
-	rm debian/tmp/usr/share/doc/libcdk5-dev/INSTALL
 	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdk5-dev/bin
 	cp -a debian/tmp/usr/bin/cdk5-config debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdk5-dev/bin

=== debian/watch ===
version=4
opts="dversionmangle=s/(\d+\.\d+)\.(\d+)/$1-$2/,\
pgpsigurlmangle=s%$%.asc%" \
https://invisible-island.net/archives/cdk/cdk-(\d\S+)\.tgz

## libcdk5 5.0.20251014

=== debian/changelog ===
libcdk5 (5.0.20251014-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [e14b510] New upstream version 5.0.20251014

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Dec 2025 15:47:28 -0600
